This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1462482 - _ped.PartitionException: Unable to satisfy all constraints on the partition.
_ped.PartitionException: Unable to satisfy all constraints on the partition.
Status: NEW
Product: Fedora
Classification: Fedora
Component: blivet-gui (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vojtech Trefny
Fedora Extras Quality Assurance
abrt_hash:b0e41a0637b22cd0722b92ec2b4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-17 22:07 EDT by yucef sourani
Modified: 2017-06-18 11:09 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (461.19 KB, text/plain)
2017-06-17 22:07 EDT, yucef sourani
no flags Details
File: environ (572 bytes, text/plain)
2017-06-17 22:07 EDT, yucef sourani
no flags Details
File: journalctl (326.43 KB, text/plain)
2017-06-17 22:07 EDT, yucef sourani
no flags Details
File: lsblk_output (3.10 KB, text/plain)
2017-06-17 22:07 EDT, yucef sourani
no flags Details
File: nmcli_dev_list (1.22 KB, text/plain)
2017-06-17 22:07 EDT, yucef sourani
no flags Details
File: os_info (447 bytes, text/plain)
2017-06-17 22:07 EDT, yucef sourani
no flags Details

  None (edit)
Description yucef sourani 2017-06-17 22:07:29 EDT
Version-Release number of selected component:
anaconda-core-26.21.7-1.fc26.x86_64

The following was filed automatically by anaconda:
anaconda 26.21.7-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python3.6/site-packages/blivetgui/blivetgui.py", line 219, in _reraise_exception
    raise type(exception)(str(exception) + "\n" + traceback)
  File "/usr/lib/python3.6/site-packages/blivetgui/blivetgui.py", line 448, in add_device
    self._reraise_exception(result.exception, result.traceback)
_ped.PartitionException: Unable to satisfy all constraints on the partition.
Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/blivetgui/blivet_utils.py", line 1146, in add_device
    blivet.partitioning.do_partitioning(self.storage)
  File "/usr/lib/python3.6/site-packages/blivet/partitioning.py", line 582, in do_partitioning
    allocate_partitions(storage, disks, partitions, free)
  File "/usr/lib/python3.6/site-packages/blivet/partitioning.py", line 961, in allocate_partitions
    _part.req_start_sector, _part.req_end_sector)
  File "/usr/lib/python3.6/site-packages/blivet/partitioning.py", line 446, in add_partition
    constraint=constraint)
  File "/usr/lib64/python3.6/site-packages/parted/decorators.py", line 42, in new
    ret = fn(*args, **kwds)
  File "/usr/lib64/python3.6/site-packages/parted/disk.py", line 245, in addPartition
    constraint.getPedConstraint())
_ped.PartitionException: Unable to satisfy all constraints on the partition.


Additional info:
addons:         com_redhat_kdump
cmdline:        /usr/libexec/system-python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.11.0-2.fc26.x86_64
other involved packages: blivet-gui-2.1.4-1.fc26.noarch
product:        Fedora
release:        Fedora release 26 (Twenty Six)
type:           anaconda
version:        26

Potential duplicate: bug 1442020
Comment 1 yucef sourani 2017-06-17 22:07:40 EDT
Created attachment 1288717 [details]
File: anaconda-tb
Comment 2 yucef sourani 2017-06-17 22:07:42 EDT
Created attachment 1288718 [details]
File: environ
Comment 3 yucef sourani 2017-06-17 22:07:52 EDT
Created attachment 1288719 [details]
File: journalctl
Comment 4 yucef sourani 2017-06-17 22:07:54 EDT
Created attachment 1288720 [details]
File: lsblk_output
Comment 5 yucef sourani 2017-06-17 22:07:56 EDT
Created attachment 1288721 [details]
File: nmcli_dev_list
Comment 6 yucef sourani 2017-06-17 22:07:59 EDT
Created attachment 1288722 [details]
File: os_info

Note You need to log in before you can comment on or make changes to this bug.